# OpalMediaOption::H245GenericInfo Struct Reference

`#include <mediafmt.h>`

## Public Types

| None
| Collapsing
| NonCollapsing
| UnsignedInt
| Unsigned32
| BooleanArray
enum | Modes { None, Collapsing, NonCollapsing }
enum | IntegerTypes { UnsignedInt, Unsigned32, BooleanArray }

## Public Member Functions

| H245GenericInfo ()
| H245GenericInfo (unsigned mask, const char *dflt=NULL)

## Data Fields

unsigned | ordinal
enum OpalMediaOption::H245GenericInfo::Modes | mode
enum OpalMediaOption::H245GenericInfo::IntegerTypes | integerType
bool | excludeTCS
bool | excludeOLC
bool | excludeReqMode
int | position
PString | defaultValue

## Member Enumeration Documentation

enum OpalMediaOption::H245GenericInfo::IntegerTypes

Enumerator:

  UnsignedInt |
  Unsigned32 |
  BooleanArray |

enum OpalMediaOption::H245GenericInfo::Modes

Enumerator:

  None |
  Collapsing |
  NonCollapsing |

## Constructor & Destructor Documentation

OpalMediaOption::H245GenericInfo::H245GenericInfo | ( |  | ) |

OpalMediaOption::H245GenericInfo::H245GenericInfo | ( | unsigned | mask,
|  | const char * | dflt = `NULL` |
| ) |  |  |

## Field Documentation

PString OpalMediaOption::H245GenericInfo::defaultValue

bool OpalMediaOption::H245GenericInfo::excludeOLC

bool OpalMediaOption::H245GenericInfo::excludeReqMode

bool OpalMediaOption::H245GenericInfo::excludeTCS

enum OpalMediaOption::H245GenericInfo::IntegerTypes OpalMediaOption::H245GenericInfo::integerType

enum OpalMediaOption::H245GenericInfo::Modes OpalMediaOption::H245GenericInfo::mode

unsigned OpalMediaOption::H245GenericInfo::ordinal

int OpalMediaOption::H245GenericInfo::position

The documentation for this struct was generated from the following file:

- mediafmt.h